javax.annotation

## Annotation Type ManagedBean

-     @Target(value=TYPE)
       @Retention(value=RUNTIME)
      public @interface ManagedBean

  Since:
    Common Annotations 1.1

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `java.lang.String` | `value`

- - ### Element Detail

    - #### value

          public abstract java.lang.String value

      Returns:
        Name of the managed bean
      Default:
        ""

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.